<?php

namespace App\Enums;

enum ProductType: string
{
    case LAND = 'LAND';
    case APARTMENT = 'APARTMENT';
    case SHOPHOUSE = 'SHOPHOUSE';
    case OFFICE = 'OFFICE';
    case CONDOTEL = 'CONDOTEL';
    case VILLA = 'VILLA';

    public function getLabel(): string
    {
        return match($this) {
            self::LAND => 'Đất nền',
            self::APARTMENT => 'Căn hộ',
            self::SHOPHOUSE => 'Shophouse',
            self::OFFICE => 'Văn phòng',
            self::CONDOTEL => 'Condotel',
            self::VILLA => 'Biệt thự',
        };
    }
}
